# TBasicWireframe Class Reference

DEPRECATED. Use I3DExWireFrameSet instead. More...

Inheritance diagram for TBasicWireframe:

List of all members.

## Public Member Functions
virtual MCErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)=0
virtual I3DExWireFrameSet *MCCOMAPI | GetNewInterface ()
virtual I3DExWireFrame *MCCOMAPI | GetDeprecatedInterface ()
virtual MCCOMErr MCCOMAPI | TrackWireFrame (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree, int16 handle, const TRACKINFO &startinfo, const TRACKINFO &previnfo, const TRACKINFO &nextinfo, I3DShCamera *camera)
virtual MCCOMErr MCCOMAPI | DataToWireFrame (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree, I3DShCamera *camera)
virtual MCCOMErr MCCOMAPI | WireFrameToData (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree, I3DShCamera *camera)
virtual MCCOMErr MCCOMAPI | TrackWireFrame (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree, int16 handle, const TRACKINFO &startinfo, const TRACKINFO &previnfo, const TRACKINFO &nextinfo)
virtual MCCOMErr MCCOMAPI | DataToWireFrame (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree)
virtual MCCOMErr MCCOMAPI | WireFrameToData (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree)
virtual MCCOMErr MCCOMAPI | GetWireFrameBBox (TBBox3D *outBBox, int16 proj, I3DShTreeElement *tree)
virtual void MCCOMAPI | ShowWFTools (boolean show)
virtual boolean MCCOMAPI | HandlesTool (int16 inTool)
virtual boolean MCCOMAPI | IsViewDependent () const
virtual real32 MCCOMAPI | GetScalingFactor () const
virtual void MCCOMAPI | SetScalingFactor (real32 inValue)
virtual boolean MCCOMAPI | IsBBoxAlwaysUsedForParentBBox ()

## Detailed Description

DEPRECATED. Use I3DExWireFrameSet instead.

## Member Function Documentation

virtual MCCOMErr MCCOMAPI TBasicWireframe::DataToWireFrame | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree |
| ) |  |  | `[virtual]`

virtual MCCOMErr MCCOMAPI TBasicWireframe::DataToWireFrame | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree,
|  | I3DShCamera * | camera |
| ) |  |  | `[virtual]`

Implements I3DExWireFrame.

virtual I3DExWireFrame* MCCOMAPI TBasicWireframe::GetDeprecatedInterface | ( |  | ) | `[inline, virtual]`

Implements I3DExWF.

virtual I3DExWireFrameSet* MCCOMAPI TBasicWireframe::GetNewInterface | ( |  | ) | `[inline, virtual]`

Implements I3DExWF.

virtual real32 MCCOMAPI TBasicWireframe::GetScalingFactor | ( |  | ) | const`[inline, virtual]`

Implements I3DExWireFrame.

virtual MCCOMErr MCCOMAPI TBasicWireframe::GetWireFrameBBox | ( | TBBox3D * | outBBox,
|  | int16 | proj,
|  | I3DShTreeElement * | tree |
| ) |  |  | `[virtual]`

Implements I3DExWireFrame.

virtual boolean MCCOMAPI TBasicWireframe::HandlesTool | ( | int16 | inTool | ) | `[virtual]`

Implements I3DExWireFrame.

virtual boolean MCCOMAPI TBasicWireframe::IsBBoxAlwaysUsedForParentBBox | ( |  | ) | `[inline, virtual]`

Tells if BBox is always used to calculate parent BBox In cases we do not want all helper objects

Implements I3DExWF.

virtual boolean MCCOMAPI TBasicWireframe::IsViewDependent | ( |  | ) | const`[inline, virtual]`

Implements I3DExWireFrame.

virtual MCErr MCCOMAPI TBasicWireframe::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[pure virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Implements IMCUnknown.

virtual void MCCOMAPI TBasicWireframe::SetScalingFactor | ( | real32 | inValue | ) | `[inline, virtual]`

Implements I3DExWireFrame.

virtual void MCCOMAPI TBasicWireframe::ShowWFTools | ( | boolean | show | ) | `[inline, virtual]`

Implements I3DExWireFrame.

virtual MCCOMErr MCCOMAPI TBasicWireframe::TrackWireFrame | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree,
|  | int16 | handle,
|  | const TRACKINFO & | startinfo,
|  | const TRACKINFO & | previnfo,
|  | const TRACKINFO & | nextinfo |
| ) |  |  | `[virtual]`

virtual MCCOMErr MCCOMAPI TBasicWireframe::TrackWireFrame | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree,
|  | int16 | handle,
|  | const TRACKINFO & | startinfo,
|  | const TRACKINFO & | previnfo,
|  | const TRACKINFO & | nextinfo,
|  | I3DShCamera * | camera |
| ) |  |  | `[virtual]`

Implements I3DExWireFrame.

virtual MCCOMErr MCCOMAPI TBasicWireframe::WireFrameToData | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree |
| ) |  |  | `[virtual]`

virtual MCCOMErr MCCOMAPI TBasicWireframe::WireFrameToData | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree,
|  | I3DShCamera * | camera |
| ) |  |  | `[virtual]`

Implements I3DExWireFrame.

The documentation for this class was generated from the following file:

- BasicWireframe.h